%define name smeserver-certificate
%define version 0.0.4
%define release 12

Name: %{name}
Version: %{version}	
Release: %{release}%{?dist}
Summary: allow to manage your ssl certificates

Group:	SMEserver/addon
License: GNU GPL version 2	
URL:		 http://www.contribs.org
Source:	 %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildArchitectures: noarch
BuildRequires:	e-smith-devtools
Requires:	e-smith-release >= 9.0
AutoReqProv: no
Patch0: smeserver-certificate-0.0.4-locale-2015-09-12.patch
Patch1: smeserver-certificate-0.0.4-locale-2016-03-09.patch
Patch2: smeserver-certificate-0.0.4-locale-2017-02-02.patch
Patch3: smeserver-certificate-0.0.4-bz11604-sme10.patch
Patch4: smeserver-certificate-0.0.4-Eliminate-Error-msg-on-blank-save.patch
Patch5: smeserver-certificate-0.0.4-Add-panel-for-SM2.patch
Patch6: smeserver-certificate-0.0.4-Update-lex-file.patch
Patch7: smeserver-certificate-0.0.4-Fix-Routes.patch
Patch8: smeserver-certificate-0.0.4-locale-2022-07-22.patch

%description
allow to add, remove, easily commercial ssl certificate

%prep
%setup
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1


%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist
echo "%doc COPYING"  >> %{name}-%{version}-filelist

%clean
cd ..
rm -rf %{name}-%{version}

%pre
%preun
%post
%postun

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%changelog
* Fri Jul 22 2022 Jean-Philippe Pialasse <tests@pialasse.com> 0.0.4-12.sme
- translation 2022-07-22 patch 

* Thu May 26 2022 Brian Read <brianr@bjsystems.co.uk> 0.0.4-11.sme
- fix routes [SME: 11926]

* Sun Apr 17 2022 Brian Read <brianr@bjsystems.co.uk> 0.0.4-10.sme
- Add in updated lex file [SME: 11926]

* Wed Mar 30 2022 Brian Read <brianr@bjsystems.co.uk> 0.0.4-9.sme
- Add panel for SM2 [SME: 11926]

* Tue Mar 29 2022 Brian Read <brianr@bjsystems.co.uk> 0.0.4-8.sme
- Eliminate-Error-msg-on-blank-save [SME: 11604]

* Tue Feb 01 2022 Terry Fage <terryf@ozemail.com.au> 0.0.4-7.sme
- smeserver-certificate-0.0.4-bz11604-to-sme10.patch

* Wed Feb 01 2017 Jean-Philipe Pialasse <tests@pialasse.com> 0.0.4-6.sme
- apply local 2017-02-02.patch

* Wed Mar 09 2016 JP Pialasse <tests@pialasse.com> 0.0.4-4.sme
- apply locale 2016-03-09 patch

* Sat Sep 12 2015 stephane de Labrusse <stephdl@de-labrusse.fr> 0.0.4-3.sme
- Added smeserver-certificate-0.0.4-locale-2015-09-12.patch

* Sat Aug 22 2015 stephane de Labrusse <stephdl@de-labrusse.fr> 0.0.4-2.sme
- Initial release to contribs9


* Sun Aug 03 2014 Stephane de Labrusse <stephdl@de-labrusse.fr> -0.0.4-1
- French translation

* Tue Jul 01 2014 Stephane de Labrusse <stephdl@de-labrusse.fr> -0.01-1
- Initial Release
 
